> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memobase.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current Profile Config

Returns the current profile config, Empty if using the default profile config in `config.yaml`.


## OpenAPI

````yaml get /api/v1/project/profile_config
openapi: 3.1.0
info:
  title: Memobase API
  summary: APIs for Memobase, a user memory system for LLM Apps
  version: 0.0.40
servers:
  - url: https://api.memobase.dev
  - url: https://api.memobase.cn
security:
  - BearerAuth: []
paths:
  /api/v1/project/profile_config:
    get:
      tags:
        - project
      summary: Get Project Profile Config String
      operationId: get_project_profile_config_string_api_v1_project_profile_config_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileConfigDataResponse'
      x-code-samples:
        - lang: python
          source: >+
            # To use the Python SDK, install the package:

            # pip install memobase


            from memobase import MemoBaseClient


            memobase = MemoBaseClient(project_url='PROJECT_URL',
            api_key='PROJECT_TOKEN')


            config = memobase.get_config()

          label: Python
        - lang: javascript
          source: >+
            // To use the JavaScript SDK, install the package:

            // npm install @memobase/memobase


            import { MemoBaseClient } from '@memobase/memobase';


            const client = new MemoBaseClient(process.env.MEMOBASE_PROJECT_URL,
            process.env.MEMOBASE_API_KEY);


            const config = await client.getConfig();

          label: JavaScript
        - lang: go
          source: >+
            // To use the Go SDK, install the package:

            // go get
            github.com/memodb-io/memobase/src/client/memobase-go@latest


            import (
                "fmt"
                "log"

                "github.com/memodb-io/memobase/src/client/memobase-go/core"
            )


            func main() {
                projectURL := "YOUR_PROJECT_URL"
                apiKey := "YOUR_API_KEY"
                // Initialize the client
                client, err := core.NewMemoBaseClient(
                    projectURL,
                    apiKey,
                )
                if err != nil {
                    log.Fatalf("Failed to create client: %v", err)
                }

                // Get config
                config, err := client.GetConfig()
                if err != nil {
                    log.Fatalf("Failed to get config: %v", err)
                }
                fmt.Printf("Config: %s
            ", config)

            }

          label: Go
components:
  schemas:
    ProfileConfigDataResponse:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/ProfileConfigData'
            - type: 'null'
          description: Response containing profile config data
        errno:
          $ref: '#/components/schemas/CODE'
          description: Error code, 0 means success
          default: 0
        errmsg:
          type: string
          title: Errmsg
          description: Error message, empty when success
          default: ''
      type: object
      title: ProfileConfigDataResponse
    ProfileConfigData:
      properties:
        profile_config:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Config
          description: Profile config string
      type: object
      required:
        - profile_config
      title: ProfileConfigData
    CODE:
      type: integer
      enum:
        - 0
        - 400
        - 401
        - 403
        - 404
        - 405
        - 409
        - 422
        - 500
        - 501
        - 502
        - 503
        - 504
        - 520
      title: CODE
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````